package com.fs.his.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Data
public class FsIntegralCartParam {

    @NotNull(message = "商品ID不能为空")
    @ApiModelProperty("积分商品ID")
    private Long goodsId;

    @NotNull(message = "添加数量不能为空")
    @Min(value = 1, message = "数量不再合法范围内")
    @Max(value = 999, message = "数量不再合法范围内")
    @ApiModelProperty("数量")
    private Integer cartNum;
}
