package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

@Data
public class FsIntegralOrderListUVO implements Serializable {


    /** id */
    private Long orderId;

    /** 订单编号 */
    private String orderCode;

    /** 用户id */
    private Long userId;

    /** 用户名称 */
    private String userName;

    /** 用户电话 */
    private String userPhone;

    /** 用户地址 */
    private String userAddress;

    /** 商品信息 */
    private String itemJson;

    /** 支付积分 */
    private String integral;

    /** 支付金额 */
    private BigDecimal payMoney;

    /** 是否支付 0未支付 1已支付 */
    private Integer isPay;

    /** 支付时间 */
    private LocalDateTime payTime;

    /** 支付类型 1积分 2现金 3积分+现金 */
    private Integer payType;

    /** 1：待发货；2：待收货；3：已完成 */
    private Integer status;

    /** 快递公司编号 */
    private String deliveryCode;

    /** 快递名称 */
    private String deliveryName;

    /** 快递单号 */
    private String deliverySn;

    /** 发货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date deliveryTime;


}
